Bug 659933 - Low responsiveness during weekly raid checks
Low responsiveness during weekly raid checks
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
15
All Linux
low Severity low
: ---
: ---
Assigned To: Doug Ledford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-04 03:56 EST by Eduard Kohler
Modified: 2011-04-15 17:11 EDT (History)
1 user (show)

See Also:
Fixed In Version: mdadm-3.1.5-2.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-15 17:11:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cron script patch (1.01 KB, patch)
2010-12-04 03:57 EST, Eduard Kohler
no flags Details | Diff
sysconfig configuration patch (706 bytes, patch)
2010-12-04 03:58 EST, Eduard Kohler
no flags Details | Diff
cron script patch v2 (1.04 KB, patch)
2010-12-18 03:56 EST, Eduard Kohler
no flags Details | Diff

  None (edit)
Description Eduard Kohler 2010-12-04 03:56:17 EST
Description of problem:

On a low memory/CPU machine the weekly raid check kills the responsiveness up to disallow ssh or imap sessions.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Take a 256M RAM/500MHz CPU machine and run an weekly raid check.

  
Actual results:
During raid check, the computer is unable to accept ssh or imap connections.

Expected results:
A working computer.

Additional info:

Inspired by Debian, I have modified the cron script in order to change the priority of the md_resync process based on a new option: NICE.
NICE will take high, normal, low, idle values. Normal is the default value and the process behaves like before.
With NICE set to idle, the systems behaves correctly.
Comment 1 Eduard Kohler 2010-12-04 03:57:34 EST
Created attachment 464716 [details]
cron script patch
Comment 2 Eduard Kohler 2010-12-04 03:58:15 EST
Created attachment 464717 [details]
sysconfig configuration patch
Comment 3 Eduard Kohler 2010-12-18 03:56:47 EST
Created attachment 469498 [details]
cron script patch v2

This version:
 - removes quotation marks around variable given to renice and ionice programs.
 - add /dev/null redirection for renice/ionice output.
Comment 4 Doug Ledford 2011-03-25 16:58:51 EDT
I've included your code with a few minor modifications.  You might want to check to make sure it behaves as you'd like.  It will be present in the 1.3.5-1 and later builds of mdadm.
Comment 5 Fedora Update System 2011-03-28 11:45:01 EDT
mdadm-3.1.5-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mdadm-3.1.5-1.fc15
Comment 6 Fedora Update System 2011-03-28 23:33:48 EDT
Package mdadm-3.1.5-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mdadm-3.1.5-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/mdadm-3.1.5-1.fc15
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2011-03-31 15:44:26 EDT
Package mdadm-3.1.5-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mdadm-3.1.5-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/mdadm-3.1.5-2.fc15
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2011-04-15 17:10:53 EDT
mdadm-3.1.5-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.